## linuxaudio-new-session-manager 1.5.3

=== meson_options.txt ===
option('nsm-legacy-gui', type : 'boolean', value : true, description : 'Build nsm-legacy-gui, symlinked as non-session-manager')
option('jackpatch', type : 'boolean', value : true, description : 'Build jackpatch client')
option('nsm-proxy', type : 'boolean', value : true, description : 'Build nsm-proxy client with GUI.')

## linuxaudio-new-session-manager 1.3.2

=== debian/changelog ===
linuxaudio-new-session-manager (1.3.2-0ubuntu1) groovy; urgency=medium

  * Initial release

 -- Erich Eickmeyer <erich@ericheickmeyer.com>  Fri, 03 Jul 2020 13:41:42 -0700

=== debian/control ===
Source: linuxaudio-new-session-manager
Section: sound
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Erich Eickmeyer <erich@ericheickmeyer.com>
Build-Depends: debhelper-compat (= 13),
               cmake,
               fluid,
               libfltk1.3-dev,
               libjack-jackd2-dev,
               liblo-dev,
               meson,
               ninja-build,
               pkg-config
Standards-Version: 4.5.0
Homepage: https://github.com/linuxaudio/new-session-manager

Package: linuxaudio-new-session-manager
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: non-session-manager
Description: Music production session manager
 New Session Manager (NSM) is a tool to assist music production by grouping
 standalone programs into sessions. Your workflow becomes easy to manage,
 robust and fast by leveraging the full potential of cooperative applications.
 .
 You can create a session, or project, add programs to it and then use commands
 to save, start/stop, hide/show all programs at once, or individually. At a
 later date you can then re-open the session and continue where you left off.
 .
 All files belonging to the session will be saved in the same directory.

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%<project>-$1.tar.gz%" \
   https://github.com/<user>/new-session-manager/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## linuxaudio-new-session-manager 1.5.0

=== debian/changelog ===
linuxaudio-new-session-manager (1.5.0-0ubuntu1) hirsute; urgency=medium

  * New upstream release 1.5.0
  * nsmd
    - Fix session discovery to not report nested sessions anymore. Also more
      robust file system error handling.
    - Command line option --quiet: Suppress messages except warnings and
      errors
    - Protect against orphaned clients or daemons when the server, or even a
      GUI, crashes.
    - Replace cowboy-slang in info-level OSC with descriptive, technical
      messages.
  * Legacy-GUI
    - Fix manpage description and usage with the correct executable name
    - Fix resizing to very small and back. ( / TheGreatWhiteShark )
  * NSM-Proxy
    - Multiple layout and style fixes. Better texts for beginners.
  * API
    - NSM_API_VERSION_PATCH from 0 to 1 (1.1.0 -> 1.1.1)
    - Please see API document chapter "Changes in API Version 1.1.1"

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Tue, 26 Jan 2021 15:03:22 -0800

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: linuxaudio-new-session-manager
 Section: sound
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Erich Eickmeyer <erich@ericheickmeyer.com>
+Maintainer: Erich Eickmeyer <eeickmeyer@ubuntu.com>
 Build-Depends: debhelper-compat (= 13),
                cmake,
                fluid,

## linuxaudio-new-session-manager 1.5.1

=== debian/changelog ===
linuxaudio-new-session-manager (1.5.1-0ubuntu2) hirsute; urgency=medium

  * Fixes to weblinks in:
    - debian/control
    - debian/copyright
    - debian/watch
  * Removal of obsolete lintian-overrides

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Fri, 19 Mar 2021 10:43:27 -0700

linuxaudio-new-session-manager (1.5.1-0ubuntu1) hirsute; urgency=medium

  * New upstream release 1.5.1
    - Web link fixes, no actual code changes from 1.5.0

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Fri, 19 Mar 2021 10:23:19 -0700

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
                ninja-build,
                pkg-config
 Standards-Version: 4.5.0
-Homepage: https://github.com/linuxaudio/new-session-manager
+Homepage: https://github.com/jackaudio/new-session-manager
 
 Package: linuxaudio-new-session-manager
 Architecture: any

## linuxaudio-new-session-manager 1.5.3

=== debian/changelog ===
linuxaudio-new-session-manager (1.5.3-0ubuntu1) jammy; urgency=medium

  * New upstream release 1.5.3
    - Add [jackpatch] to terminal log output of jackpatch.
    - Remove hardcoded ANSI colors from terminal log output
  * Bump standards-Version
  * Bump copyright date

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Sat, 15 Jan 2022 09:49:22 -0800

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
                meson,
                ninja-build,
                pkg-config
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Homepage: https://github.com/jackaudio/new-session-manager
 
 Package: linuxaudio-new-session-manager

## linuxaudio-new-session-manager 1.6.0

=== debian/changelog ===
linuxaudio-new-session-manager (1.6.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release 1.6.0
  * Bump standards-version

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Thu, 23 Jun 2022 14:45:54 -0700

## linuxaudio-new-session-manager 1.6.1

=== debian/changelog ===
linuxaudio-new-session-manager (1.6.1-0ubuntu3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Wed, 03 Apr 2024 13:15:26 +1100

linuxaudio-new-session-manager (1.6.1-0ubuntu2) noble; urgency=high

  * No change rebuild against libfltk1.3t64, libfltk-images1.3t64.

 -- Julian Andres Klode <juliank@ubuntu.com>  Fri, 22 Mar 2024 17:38:48 +0100

linuxaudio-new-session-manager (1.6.1-0ubuntu1) lunar; urgency=medium

  * New upstream release 1.6.1

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Mon, 26 Dec 2022 15:09:52 -0800

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
                meson,
                ninja-build,
                pkg-config
-Standards-Version: 4.5.1
+Standards-Version: 4.6.1
 Homepage: https://github.com/jackaudio/new-session-manager
 
 Package: linuxaudio-new-session-manager

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%new-session-manager-$1.tar.gz%" \
   https://github.com/jackaudio/new-session-manager/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate
